Package org.apache.sysds.runtime.lineage

# Class LineageParser

java.lang.Object
org.apache.sysds.runtime.lineage.LineageParser

public class LineageParser extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LineageTokenizer`
`lineageTraceTokenizer`

## Constructor Summary

Constructors
Constructor
Description
`LineageParser()`

## Method Summary

Modifier and Type
Method
Description
`static LineageItem`
`parseLineageTrace(String str)`
`static LineageItem`
`parseLineageTrace(String str, String name)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### lineageTraceTokenizer

public static final LineageTokenizer lineageTraceTokenizer

## Constructor Details

### LineageParser

public LineageParser()

## Method Details

### parseLineageTrace

public static LineageItem parseLineageTrace(String str)

### parseLineageTrace

public static LineageItem parseLineageTrace(String str, String name)